Documents Resources
return all documents
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful Response
application/json
404
Not found
get/documents/
GET /documents/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"status": "PROCESSED",
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"filename": "text",
"filesize": 1,
"mimetype": "text"
}
]
}return a single document
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentidstringRequired
Responses
200
Successful Response
application/json
idstringRequired
statusstring · enumRequiredPossible values:
createdstring · date-timeRequired
updatedstring · date-timeRequired
filenamestringRequired
filesizeintegerRequired
mimetypestring · nullableRequired
404
Not found
422
Validation Error
application/json
get/documents/{documentid}
GET /documents/{documentid} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"status": "PROCESSED",
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"filename": "text",
"filesize": 1,
"mimetype": "text"
}return all document segments
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentidstringRequired
Responses
200
Successful Response
application/json
404
Not found
422
Validation Error
application/json
get/documents/{documentid}/segments
GET /documents/{documentid}/segments HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"segments": [
{
"id": "text",
"documentid": "text",
"status": "COMPLETED",
"body": "text",
"pagenr": 1,
"group": "text",
"title": "text",
"tags": [],
"lang": "text",
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"timeit": 1,
"ordinal": 1
}
]
}return a document segment
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
documentidstringRequired
segmentidstring · nullableRequired
Responses
200
Successful Response
application/json
404
Not found
422
Validation Error
application/json
get/documents/{documentid}/segments/{segmentid}
GET /documents/{documentid}/segments/{segmentid} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"segments": [
{
"id": "text",
"documentid": "text",
"status": "COMPLETED",
"body": "text",
"pagenr": 1,
"group": "text",
"title": "text",
"tags": [],
"lang": "text",
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"timeit": 1,
"ordinal": 1
}
]
}Last updated